amvideocap0 + Hyperion on Ubuntu v16.04: invalid argument

Post Reply
Blue9
Posts: 1
Joined: Thu Jan 03, 2019 8:43 am
languages_spoken: english
ODROIDs: C2
Contact:

amvideocap0 + Hyperion on Ubuntu v16.04: invalid argument

Unread post by Blue9 » Wed Jan 09, 2019 3:56 am

I've been following various guides to compile Hyperion such as: Despite compiling the kernel to enable amvideocap0 with 12MB memory (from oDroid magazine above as well as viewtopic.php?t=20901), the video capture still fails.

NOTES:
  • I do NOT need any output as the LEDs are on another networked device and i'm using "forwarder" in my Hyperion configuration.
  • I'm trying to get it running with my existing Ubuntu v16.04 setup as I have other applications installed and don't want to rebuild on CoreELEC or LibreELEC. I have confirmed with another eMMC that CoreELEC + Hyperion forwarding works.
I've tested with various sets of configuration such as:

Code: Select all

        
"framegrabber" :
{
   "enable" : true,
   "type" : "amlogic",
   "device" : "/dev/amvideocap0",
// "device" : "/dev/fb0",
   "device" : "/dev/fb0",
   "width" : 64,
   "height" : 64,
   "frequency_Hz" : 10.0,
   "priority" : 890
},

"amlgrabber" :
   {
   "enable" : true,
   "device" : "/dev/amvideocap0",
// "device" : "/dev/fb0",
   "width" : 64,
   "height" : 64,
   "frequency_Hz" : 10.0,
   "priority" : 800
},
but have been unable to get it working.

When I try to test using hyperion-aml --screenshot, it returns the following error:

Code: Select all

hyperion-aml:
        version   : master (Brian Kim-fce7aac/85fb044-1476324257
        build time: Jan  7 2019 23:25:59
AMLOGICGRABBER INFO: [AmlogicGrabber::AmlogicGrabber(unsigned int, unsigned int)] constructed(160x160)
AMLOGICGRABBER ERROR: Failed to retrieve video state from device: Invalid argument
If anyone's gotten it working on v16.04 + Kodi and can provide any info or debugging, it'd be appreciated.

joshua.yang
Posts: 140
Joined: Fri Sep 22, 2017 5:54 pm
languages_spoken: English
ODROIDs: XU4, XU4Q + Cloudshell2
Contact:

Re: amvideocap0 + Hyperion on Ubuntu v16.04: invalid argument

Unread post by joshua.yang » Mon Jan 21, 2019 6:03 pm

Hi.

We have tested that works with Magazine's guide. Tested on the latest Ubuntu 18.04 with 3.16.61 kernel.
Used this configuration file, which is guided by Magazine: https://gist.githubusercontent.com/bkre ... onfig.json

But, we didn't try to the "forwarder" use as this usage could be an application of the Hyperion.

Could you check this thread? https://hyperion-project.org/threads/hy ... id-c2.925/
It seems he faced the same problem and the answers would be helpful for you.

Post Reply

Return to “Ubuntu”

Who is online

Users browsing this forum: No registered users and 0 guests